# Codeception Test Suite Configuration
#
# Suite for acceptance tests.
# Perform tests in browser using the WebDriver or PhpBrowser.
# If you need both WebDriver and PHPBrowser tests - create a separate suite.

actor: AcceptanceTester
bootstrap: _bootstrap.php
modules:
    enabled:
        - Asserts
        - \OxidEsales\EshopCommunity\Tests\Codeception\Helper\Acceptance
        - WebDriver:
            url: '%SHOP_URL%'
            browser: '%BROWSER_NAME%'
            port: '%SELENIUM_SERVER_PORT%'
            host: '%SELENIUM_SERVER_HOST%'
            window_size: 1600x1000
            clear_cookies: true
        - Db:
            dsn: 'mysql:host=%DB_HOST%;dbname=%DB_NAME%;charset=utf8'
            user: '%DB_USERNAME%'
            password: '%DB_PASSWORD%'
            port: '%DB_PORT%'
            dump: '%DUMP_PATH%'
            mysql_config: '%MYSQL_CONFIG_PATH%'
            populate: true # whether the the dump should be loaded before the test suite is started
            cleanup: true # whether the dump should be reloaded before each test
            initial_queries:
                - 'SET @@SESSION.sql_mode=""'
            populator: '%PHP_BIN% %VENDOR_PATH%/bin/reset-shop && mysql --defaults-file=$mysql_config --default-character-set=utf8 $dbname < $dump'
        - \OxidEsales\Codeception\Module\Oxideshop:
            screen_shot_url: '%SCREEN_SHOT_URL%'
            depends:
              - WebDriver
              - Db
        - \OxidEsales\Codeception\Module\Database:
            config_key: 'fq45QS09_fqyx09239QQ'
            depends: Db
        - \OxidEsales\Codeception\Module\Translation\TranslationsModule:
            shop_path: '%SHOP_SOURCE_PATH%'
            paths: 'Application/views/flow'
        - \OxidEsales\Codeception\Module\FlowTheme:
            depends: \OxidEsales\Codeception\Module\Database
step_decorators:
    - \Codeception\Step\Retry
